Page MenuHomeFreeBSD

Update ext2fs(5) man page
ClosedPublic

Authored by pfg on Dec 6 2018, 1:10 AM.

Details

Reviewers
0mp
bcr
Group Reviewers
manpages
Commits
rS342632: ext2fs.5: Update the manpage.
Summary

There were some inaccuracies in the previous manpage, and it seemd like
a good chance to explain the current status.

Test Plan

Please review: I dont have that much experience with manpages.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pfg created this revision.Dec 6 2018, 1:10 AM
rpokala added a subscriber: rpokala.Dec 6 2018, 1:39 AM

Please create links for ext3fs.5 and ext4fs.5; in share/man/man5/Makefile, add these to the list:

MLINKS+= ext2fs.5 ext3fs.5
MLINKS+= ext2fs.5 ext4fs.5

For that matter, maybe also add these? People might not know to add the "fs":

MLINKS+= ext2fs.5 ext2.5
MLINKS+= ext2fs.5 ext3.5
MLINKS+= ext2fs.5 ext4.5
pfg updated this revision to Diff 51634.Dec 6 2018, 1:55 AM

Add a soflink for ext4fs. I am not currently adding a link to ext3 since
linux doesn't seem to carry it anymore and we don't support the main
feature it brought: journalling.

pfg added a comment.Dec 6 2018, 1:59 AM

Please create links for ext3fs.5 and ext4fs.5; in share/man/man5/Makefile, add these to the list:

MLINKS+= ext2fs.5 ext3fs.5
MLINKS+= ext2fs.5 ext4fs.5

I agree the ext4fs link is useful. the ext3fs is probably not

For that matter, maybe also add these? People might not know to add the "fs":

MLINKS+= ext2fs.5 ext2.5
MLINKS+= ext2fs.5 ext3.5
MLINKS+= ext2fs.5 ext4.5

I think it may be interesting to keep that ext2 and ext4 namespaces available to eventually document the formats and perhaps the feature flags.

pfg edited the test plan for this revision. (Show Details)Dec 6 2018, 2:01 AM
pfg updated this revision to Diff 51636.Dec 6 2018, 2:02 AM

Really add the symlink

0mp requested changes to this revision.Dec 6 2018, 8:45 AM
0mp added a subscriber: 0mp.
0mp added inline comments.
share/man/man5/ext2fs.5
88 ↗(On Diff #51636)

typo: missing space after Fx

Try running mandoc -Tlint and igor to see any other errors.

This revision now requires changes to proceed.Dec 6 2018, 8:45 AM
pfg updated this revision to Diff 51759.Dec 8 2018, 6:27 PM

Fix mamdoc issues.

pfg updated this revision to Diff 52265.Dec 23 2018, 9:12 PM

Minore updates

bcr accepted this revision.Dec 30 2018, 12:24 PM
bcr added a subscriber: bcr.

Approved!

This revision was not accepted when it landed; it landed in state Needs Review.Dec 30 2018, 7:45 PM
Closed by commit rS342632: ext2fs.5: Update the manpage. (authored by pfg). · Explain Why
This revision was automatically updated to reflect the committed changes.